#!/usr/bin/env python
import coral

previous={}
for x in xrange(10000):
    n1=coral.getUniqueID()
    if not(x % 500):
        print n1
    if previous.has_key(n1):        
        raise "UniqueID's are not unique!"
    previous[n1]=None

